| EVShield v1.3 EVShield Library Reference by mindsensors.com

Public Attributes | List of all members
gyro Struct Reference

`#include <EVs_AbsoluteIMU.h>`

## Public Attributes
short | gx_h
short | gx_l
short | gy_h
short | gy_l
short | gz_h
short | gz_l
int | gx
int | gy
int | gz
int | error

## Detailed Description

Gyroscope related data

## Member Data Documentation

## § error

int gyro::error

Error generated in case of communication breakdown

## § gx

int gyro::gx

Gyroscope x-axis value derived from HSB and LSB values generated by AbsoluteIMU

## § gx_h

short gyro::gx_h

Gyroscope HSB x-axis value generated by AbsoluteIMU

## § gx_l

short gyro::gx_l

Gyroscope LSB x-axis value generated by AbsoluteIMU

## § gy

int gyro::gy

Gyroscope y-axis value derived from HSB and LSB values generated by AbsoluteIMU

## § gy_h

short gyro::gy_h

Gyroscope HSB y-axis value generated by AbsoluteIMU

## § gy_l

short gyro::gy_l

Gyroscope LSB y-axis value generated by AbsoluteIMU

## § gz

int gyro::gz

Gyroscope z-axis value derived from HSB and LSB values generated by AbsoluteIMU

## § gz_h

short gyro::gz_h

Gyroscope HSB z-axis value generated by AbsoluteIMU

## § gz_l

short gyro::gz_l

Gyroscope LSB z-axis value generated by AbsoluteIMU

The documentation for this struct was generated from the following file:

- C:/Program Files (x86)/Arduino-1.6.12/libraries/EVShield/EVs_AbsoluteIMU.h